WordPress WP Symposium bővítmény sérülékenységek

CH azonosító

CH-8934

Angol cím

WordPress WP Symposium Plugin "u" weakness and vulnerability

Felfedezés dátuma

2013.04.11.

Súlyosság

Alacsony

Érintett rendszerek

WP Symposium plugin
WordPress

Érintett verziók

WordPress WP Symposium Plugin

Összefoglaló

A WordPress WP Symposium bővítmény olyan sérülékenységei váltak ismertté, amelyeket kihasználva a támadók hamisítás (spoofing) és cross-site scripting (XSS/CSS) támadásokat tudnak végrehajtani.

Leírás

  1. Az “u” GET paraméterrel a wp-content/plugins/wp-symposium/invite.php részére átadott bemeneti adat nincs megfelelően megtisztítva mielőtt a felhasználók átirányításához felhasználásra kerülne. Ez kihasználható a felhasználó átirányítására egy tetszőleges weboldalra, például ha a felhasználó rákattint egy megbízható weboldalon hostolt érintett scriptre mutató linkre.
    A sérülékenység a 13.04 verzióban található, egyéb kiadások is érintettek lehetnek.
  2. Az “u” GET paraméterrel a wp-content/plugins/wp-symposium/invite.php részére átadott bemeneti adat nincs megfelelően megtisztítva a felhasználónak történő visszaadás előtt.Ezt kihasználva tetszőleges HTML és script kódot lehet futtatni a felhasználó böngészőjének munkamenetében az érintett oldal vonatkozásában.
    A sérülékenység a 13.02 verzióban található, egyéb kiadások is érintettek lehetnek.

Megoldás

Az 1. sérülékenységnek jelenleg nincs hivatalos javítása. A 2. sérülékenység javítása bekerült a 13.04 verzióba.